From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-773305-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	by finch.gentoo.org (Postfix) with ESMTP id 5A681138ACF
	for <garchives@archives.gentoo.org>; Tue, 17 Feb 2015 00:13:25 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 977B0E08ED;
	Tue, 17 Feb 2015 00:13:23 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 0786AE08ED
	for <gentoo-commits@lists.gentoo.org>; Tue, 17 Feb 2015 00:13:23 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id D6C4A34082E
	for <gentoo-commits@lists.gentoo.org>; Tue, 17 Feb 2015 00:13:21 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 6D21211EAA
	for <gentoo-commits@lists.gentoo.org>; Tue, 17 Feb 2015 00:13:19 +0000 (UTC)
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Christoph Junghans" <ottxor@gentoo.org>
Message-ID: <1424131404.46003c31dfa25c76807a91b0e2cb8f1dc418e112.ottxor@gentoo>
Subject: [gentoo-commits] proj/sci:master commit in: sys-cluster/openmpi/
X-VCS-Repository: proj/sci
X-VCS-Files: sys-cluster/openmpi/ChangeLog sys-cluster/openmpi/openmpi-1.8.4-r2.ebuild
X-VCS-Directories: sys-cluster/openmpi/
X-VCS-Committer: ottxor
X-VCS-Committer-Name: Christoph Junghans
X-VCS-Revision: 46003c31dfa25c76807a91b0e2cb8f1dc418e112
X-VCS-Branch: master
Date: Tue, 17 Feb 2015 00:13:19 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: a28434ac-140e-4c90-af65-ef56fcdd78ed
X-Archives-Hash: cf7b32c360ae588114022ddf4d4e8953

commit:     46003c31dfa25c76807a91b0e2cb8f1dc418e112
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 17 00:03:24 2015 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Feb 17 00:03:24 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=46003c31

added multilib mpi for testing

Package-Manager: portage-2.2.14

---
 sys-cluster/openmpi/ChangeLog               |   7 +-
 sys-cluster/openmpi/openmpi-1.8.4-r2.ebuild | 183 ++++++++++++++++++++++++++++
 2 files changed, 189 insertions(+), 1 deletion(-)

diff --git a/sys-cluster/openmpi/ChangeLog b/sys-cluster/openmpi/ChangeLog
index c640286..3885ff3 100644
--- a/sys-cluster/openmpi/ChangeLog
+++ b/sys-cluster/openmpi/ChangeLog
@@ -1,7 +1,12 @@
 # ChangeLog for sys-cluster/openmpi
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*openmpi-1.8.4-r2 (17 Feb 2015)
+
+  17 Feb 2015; Christoph Junghans <ottxor@gentoo.org> +openmpi-1.8.4-r2.ebuild:
+  added multilib mpi for testing
+
 *openmpi-1.8.3 (15 Oct 2014)
 
   15 Oct 2014; Justin Bronder <jsbronder@gentoo.org> +openmpi-1.8.3.ebuild:

diff --git a/sys-cluster/openmpi/openmpi-1.8.4-r2.ebuild b/sys-cluster/openmpi/openmpi-1.8.4-r2.ebuild
new file mode 100644
index 0000000..5aed96c
--- /dev/null
+++ b/sys-cluster/openmpi/openmpi-1.8.4-r2.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/openmpi/openmpi-1.8.4-r1.ebuild,v 1.1 2015/02/04 21:46:32 jsbronder Exp $
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+
+inherit autotools cuda eutils flag-o-matic fortran-2 multilib toolchain-funcs versionator multilib-minimal
+
+MY_P=${P/-mpi}
+S=${WORKDIR}/${MY_P}
+
+IUSE_OPENMPI_FABRICS="
+	openmpi_fabrics_ofed
+	openmpi_fabrics_knem
+	openmpi_fabrics_open-mx
+	openmpi_fabrics_psm"
+
+IUSE_OPENMPI_RM="
+	openmpi_rm_pbs
+	openmpi_rm_slurm"
+
+IUSE_OPENMPI_OFED_FEATURES="
+	openmpi_ofed_features_control-hdr-padding
+	openmpi_ofed_features_connectx-xrc
+	openmpi_ofed_features_udcm
+	openmpi_ofed_features_rdmacm
+	openmpi_ofed_features_dynamic-sl
+	openmpi_ofed_features_failover"
+
+DESCRIPTION="A high-performance message passing library (MPI)"
+HOMEPAGE="http://www.open-mpi.org"
+SRC_URI="http://www.open-mpi.org/software/ompi/v$(get_version_component_range 1-2)/downloads/${MY_P}.tar.bz2"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux"
+IUSE="cma cuda +cxx elibc_FreeBSD fortran heterogeneous ipv6 mpi-threads romio threads vt
+	${IUSE_OPENMPI_FABRICS} ${IUSE_OPENMPI_RM} ${IUSE_OPENMPI_OFED_FEATURES}"
+
+REQUIRED_USE="openmpi_rm_slurm? ( !openmpi_rm_pbs )
+	openmpi_rm_pbs? ( !openmpi_rm_slurm )
+	openmpi_fabrics_psm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_control-hdr-padding? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_connectx-xrc? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_udcm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_rdmacm? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_dynamic-sl? ( openmpi_fabrics_ofed )
+	openmpi_ofed_features_failover? ( openmpi_fabrics_ofed )"
+
+MPI_UNCLASSED_DEP_STR="
+	vt? (
+		!dev-libs/libotf
+		!app-text/lcdf-typetools
+	)"
+
+RDEPEND="
+	!sys-cluster/mpich
+	!sys-cluster/mpich2
+	!sys-cluster/mpiexec
+	>=dev-libs/libevent-2.0.21[${MULTILIB_USEDEP}]
+	dev-libs/libltdl:0[${MULTILIB_USEDEP}]
+	>=sys-apps/hwloc-1.10.0-r2[${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+	cuda? ( dev-util/nvidia-cuda-toolkit )
+	elibc_FreeBSD? ( dev-libs/libexecinfo )
+	openmpi_fabrics_ofed? ( sys-infiniband/ofed )
+	openmpi_fabrics_knem? ( sys-cluster/knem )
+	openmpi_fabrics_open-mx? ( sys-cluster/open-mx )
+	openmpi_fabrics_psm? ( sys-infiniband/infinipath-psm )
+	openmpi_rm_pbs? ( sys-cluster/torque )
+	openmpi_rm_slurm? ( sys-cluster/slurm )
+	openmpi_ofed_features_rdmacm? ( sys-infiniband/librdmacm )
+	"
+DEPEND="${RDEPEND}"
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/mpif-io-handles.h
+	/usr/include/mpif-constants.h
+	/usr/include/mpi.h
+	/usr/include/mpif-externals.h
+	/usr/include/mpif-io-constants.h
+	/usr/include/mpif-config.h
+	/usr/include/mpif-sentinels.h
+	/usr/include/mpif-handles.h
+)
+
+pkg_setup() {
+	fortran-2_pkg_setup
+
+	if use mpi-threads; then
+		echo
+		ewarn "WARNING: use of MPI_THREAD_MULTIPLE is still disabled by"
+		ewarn "default and officially unsupported by upstream."
+		ewarn "You may stop now and set USE=-mpi-threads"
+		echo
+	fi
+
+	echo
+	elog "OpenMPI has an overwhelming count of configuration options."
+	elog "Don't forget the EXTRA_ECONF environment variable can let you"
+	elog "specify configure options if you find them necessary."
+	echo
+}
+
+src_prepare() {
+	# Necessary for scalibility, see
+	# http://www.open-mpi.org/community/lists/users/2008/09/6514.php
+	if use threads; then
+		echo 'oob_tcp_listen_mode = listen_thread' \
+			>> opal/etc/openmpi-mca-params.conf
+	fi
+
+	# https://github.com/open-mpi/ompi/issues/163
+	epatch "${FILESDIR}"/openmpi-ltdl.patch
+
+	AT_M4DIR=config eautoreconf
+}
+
+multilib_src_configure() {
+	local myconf=(
+		--sysconfdir="${EPREFIX}/etc/${PN}"
+		--enable-pretty-print-stacktrace
+		--enable-orterun-prefix-by-default
+		--with-hwloc="${EPREFIX}/usr"
+		--with-libltdl=external
+		)
+
+	if use mpi-threads; then
+		myconf+=(--enable-mpi-threads
+			--enable-opal-multi-threads)
+	fi
+
+	if use fortran; then
+		myconf+=(--enable-mpi-fortran=all)
+	else
+		myconf+=(--enable-mpi-fortran=no)
+	fi
+
+	! use vt && myconf+=(--enable-contrib-no-build=vt)
+
+	ECONF_SOURCE=${S} econf "${myconf[@]}" \
+		$(use_enable cxx mpi-cxx) \
+		$(use_with cma) \
+		$(multilib_native_use_with cuda cuda "${EPREFIX}"/opt/cuda) \
+		$(use_enable romio io-romio) \
+		$(use_enable heterogeneous) \
+		$(use_enable ipv6) \
+		$(multilib_native_use_with openmpi_fabrics_ofed verbs "${EPREFIX}"/usr) \
+		$(multilib_native_use_with openmpi_fabrics_knem knem "${EPREFIX}"/usr) \
+		$(multilib_native_use_with openmpi_fabrics_open-mx mx "${EPREFIX}"/usr) \
+		$(multilib_native_use_with openmpi_fabrics_psm psm "${EPREFIX}"/usr) \
+		$(multilib_native_use_enable openmpi_ofed_features_control-hdr-padding openib-control-hdr-padding) \
+		$(multilib_native_use_enable openmpi_ofed_features_connectx-xrc openib-connectx-xrc) \
+		$(multilib_native_use_enable openmpi_ofed_features_rdmacm openib-rdmacm) \
+		$(multilib_native_use_enable openmpi_ofed_features_udcm openib-udcm) \
+		$(multilib_native_use_enable openmpi_ofed_features_dynamic-sl openib-dynamic-sl) \
+		$(multilib_native_use_enable openmpi_ofed_features_failover btl-openib-failover) \
+		$(multilib_native_use_with openmpi_rm_pbs tm) \
+		$(multilib_native_use_with openmpi_rm_slurm slurm)
+}
+
+multilib_src_install() {
+	emake DESTDIR="${D}" install
+
+	# Remove la files, no static libs are installed and we have pkg-config
+	find "${ED}"/usr/$(get_libdir)/ -type f -name '*.la' -delete
+}
+
+multilib_src_install_all() {
+	# From USE=vt see #359917
+	rm "${ED}"/usr/share/libtool &> /dev/null
+
+	# Avoid collisions with libevent
+	rm -rf "${ED}"/usr/include/event2 &> /dev/null
+
+	dodoc README AUTHORS NEWS VERSION || die
+}
+
+multilib_src_test() {
+	# Doesn't work with the default src_test as the dry run (-n) fails.
+	emake -j1 check
+}